[PATCH] libosmocore[master]: jenkins.sh: output all test logs after build is done

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Sep 21 22:20:21 UTC 2016


Hello Jenkins Builder,

I'd like you to reexamine a change.  Please visit

    https://gerrit.osmocom.org/866

to look at the new patch set (#2).

jenkins.sh: output all test logs after build is done

Add cat_testlogs.sh, call from jenkins.sh

Change-Id: I18a08e7ade1a53783d5a4171fe825f61b49457be
---
A contrib/cat_testlogs.sh
M contrib/jenkins.sh
2 files changed, 23 insertions(+), 1 deletion(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/66/866/2

diff --git a/contrib/cat_testlogs.sh b/contrib/cat_testlogs.sh
new file mode 100755
index 0000000..0d34a18
--- /dev/null
+++ b/contrib/cat_testlogs.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+#
+# Intended for use in jenkins build jobs, like this:
+#    $MAKE check || ./contrib/cat_testlogs.sh
+#
+# In the jenkins console output, show the actual failures by printing the test
+# logs to the console output. This way we can see how exactly the test failed
+# even if a job is older and no workspace is available.
+
+set +x
+find . -path "*/testsuite.dir/*/testsuite.log" | while read testlog; do
+  echo
+  echo
+  echo
+  echo ======================== "$testlog"
+  echo
+  cat $testlog
+done
+
+# this will be called after a test failure, so make sure to return an error
+exit 1
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 5c69da6..6bc5461 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -5,4 +5,5 @@
 autoreconf --install --force
 ./configure --enable-static
 $MAKE $PARALLEL_MAKE
-$MAKE distcheck
+$MAKE distcheck \
+  || ./contrib/cat_testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/866
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: I18a08e7ade1a53783d5a4171fe825f61b49457be
Gerrit-PatchSet: 2
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder



More information about the gerrit-log mailing list